- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# TexGen.cpp File Reference

`#include "osg/TexGen"`
`#include "osgDB/Registry"`
`#include "osgDB/Input"`
`#include "osgDB/Output"`

Include dependency graph for lugins/osg/TexGen.cpp:

## Functions
bool | TexGen_readLocalData (Object &obj, Input &fr)
bool | TexGen_writeLocalData (const Object &obj, Output &fw)
bool | TexGen_matchModeStr (const char *str, TexGen::Mode &mode)
const char * | TexGen_getModeStr (TexGen::Mode mode)
## Variables
RegisterDotOsgWrapperProxy | g_TexGenProxy (new osg::TexGen,"TexGen","Object StateAttribute TexGen",&TexGen_readLocalData,&TexGen_writeLocalData)

## Function Documentation

const char * TexGen_getModeStr | ( | TexGen::Mode | mode | ) |

bool TexGen_matchModeStr | ( | const char * | str,
|  | TexGen::Mode & | mode
| ) |

bool TexGen_readLocalData | ( | Object & | obj,
|  | Input & | fr
| ) |

bool TexGen_writeLocalData | ( | const Object & | obj,
|  | Output & | fw
| ) |

## Variable Documentation

RegisterDotOsgWrapperProxy g_TexGenProxy(new osg::TexGen,"TexGen","Object StateAttribute TexGen",&TexGen_readLocalData,&TexGen_writeLocalData)